package ve.gob.cenditel.tibisaymovil;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.text.method.ScrollingMovementMethod;
import android.view.Menu;
import android.view.View;
import android.view.Window;
import android.view.View.OnClickListener;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

public class ActivitySignerInfo extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		
		//Estilando la barra de titulo
		final boolean customTitleSupported = requestWindowFeature(Window.FEATURE_CUSTOM_TITLE);
		
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_signer_info);
		
		//Estilando Barra de titulo
		if(customTitleSupported)
			getWindow().setFeatureInt(Window.FEATURE_CUSTOM_TITLE, R.layout.title_bar);
		
		
		Bundle bundle = getIntent().getExtras();
		//String name = bundle.getString("name");
		String cn = bundle.getString("cn");
		String date = bundle.getString("date");
		String certificateSerial = bundle.getString("certificateSerial");
		String validFrom = bundle.getString("validFrom");
		String validUntil = bundle.getString("validUntil");
		String certificateIssuer = bundle.getString("certificateIssuer");
		
				
		TextView signerCN = (TextView) this.findViewById(R.id.signature_errors_text);
		signerCN.setText(cn);
		signerCN.setMovementMethod(ScrollingMovementMethod.getInstance());
		
		TextView signatureDate = (TextView) this.findViewById(R.id.signature_date);
		signatureDate.setText(date);
		
		TextView certSerial = (TextView) this.findViewById(R.id.certificate_serial);
		certSerial.setText(certificateSerial);
		
		TextView certValidFrom = (TextView) this.findViewById(R.id.certificate_valid_from);
		certValidFrom.setText(validFrom);
		
		TextView certValidUntil = (TextView) this.findViewById(R.id.certificate_valid_until);
		certValidUntil.setText(validUntil);		
		
		TextView certCertificateIssuer = (TextView) this.findViewById(R.id.certificate_issuer);
		certCertificateIssuer.setText(certificateIssuer);
		
		
		LinearLayout shareButton = (LinearLayout) this.findViewById(R.id.button_share_zone);
		shareButton.setVisibility(LinearLayout.GONE);
		
		
		ImageView backImage = (ImageView) this.findViewById(R.id.button_finish);
		backImage.setVisibility(ImageView.GONE);
		
		TextView buttonFinishText = (TextView) this.findViewById(R.id.button_finish_text);
		buttonFinishText.setVisibility(TextView.GONE);
				
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.activity_signer_info, menu);
		return true;
	}

}
